Name:          jline
Version:       2.14.6
Release:       4
Summary:       Java library for handling console input
License:       BSD
URL:           https://github.com/jline/jline2
Source0:       https://github.com/jline/jline2/archive/jline-%{version}.tar.gz
BuildArch:     noarch

BuildRequires: maven-local, mvn(junit:junit), mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-source-plugin), mvn(org.easymock:easymock)
BuildRequires: mvn(org.fusesource.jansi:jansi), mvn(org.powermock:powermock-api-easymock)
BuildRequires: mvn(org.powermock:powermock-module-junit4), mvn(org.sonatype.oss:oss-parent:pom:)
Provides:      jline2 = %{version}-%{release}
Obsoletes:     jline2 < %{version}-%{release}
Provides:      %{name}-javadoc%{?_isa} %{name}-javadoc
Obsoletes:     %{name}-javadoc

%description
JLine is a Java library for handling console input. It is similar in functionality to
BSD editline and GNU readline. People familiar with the readline/editline capabilities
for modern shells (such as bash and tcsh) will find most of the command editing features
of JLine to be familiar.

%prep
%autosetup -n jline2-jline-%{version} -p1

%pom_remove_plugin "org.codehaus.mojo:animal-sniffer-maven-plugin"
%pom_remove_plugin "org.apache.maven.plugins:maven-shade-plugin"
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-javadoc-plugin

%pom_xpath_remove "pom:build/pom:extensions"
%pom_xpath_remove 'pom:arg[text()="-Werror"]'
%pom_xpath_remove "pom:build/pom:plugins/pom:plugin[pom:artifactId = \
'maven-bundle-plugin']/pom:executions/pom:execution/pom:configuration/pom:instructions/pom:Import-Package"

%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId = \
'maven-bundle-plugin']/pom:executions/pom:execution/pom:configuration/pom:instructions" \
"<Import-Package>javax.swing;resolution:=optional,org.fusesource.jansi,!org.fusesource.jansi.internal</Import-Package>"

%pom_xpath_set "pom:build/pom:plugins/pom:plugin[pom:artifactId = \
'maven-bundle-plugin']/pom:executions/pom:execution/pom:configuration/pom:instructions/pom:Export-Package" \
"jline.*;-noimport:=true"

install -d target/generated-sources/annotations
install -d target/generated-test-sources/test-annotations

find -name TerminalFactoryTest.java -delete

%build
%mvn_build

%install
%mvn_install
cp -ar %{buildroot}/%{_javadir}/%{name}  %{buildroot}/%{_javadir}/%{name}2

%files -f .mfiles
%{_javadocdir}/%{name}/*
%{_javadir}/%{name}2/*

%changelog
* Thu Apr 9 2020 likexin <likexin4@huawei.com> - 2.14.6-4
- Add %{_javadir}/jline2/ to be compatible with sbt

* Wed Dec 4 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.14.6-3
- Package init
